using System;
using System.Collections.Generic;
using Newtonsoft.Json;

namespace isnd.Data.Catalog
{
    public class CatalogIndex : IObject
    {
        [JsonProperty("@id")]
        public string Id { get; set ; }

        [JsonProperty("items")]
        public List<PageRef> Items { get; set; }


        [JsonProperty("count")]
        public int Count { get => Items?.Count ?? 0; }
        public string CommitId { get; set; }
        public DateTime CommitTimeStamp { get; set; }
        
    }


}